Bug 829030 - Review Request: drupal6-flag - Flag module for Drupal6
Review Request: drupal6-flag - Flag module for Drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Troy Dawson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 15:48 EDT by Anderson Silva
Modified: 2015-01-02 17:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 18:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tdawson: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anderson Silva 2012-06-05 15:48:15 EDT
Spec URL: http://people.redhat.com/~ansilva/drupal6-flag.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-flag-1.3-3.fc16.src.rpm
Description: Flag is a flexible flagging system that is completely customizable by the administrator.
Fedora Account System Username: afsilva
Comment 1 Troy Dawson 2012-08-01 16:08:51 EDT
Informal Package Review
==============

If you are planning on building this for EPEL, than I would pass this rpm.

If you are not planning on building this for EPEL, then you need to clean up the buildroot stuff.  See the issues at the bottom.


==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[X]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[X]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[X]: MUST Package contains no bundled libraries.
[X]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[X]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[X]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[X]: MUST License field in the package spec file matches the actual license.
[X]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[X]: MUST Package must own all directories that it creates.
[X]: MUST Package does not own files or directories owned by other packages.
[X]: MUST Package installs properly.
[X]: MUST Requires correct, justified where necessary.
[X]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[X]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[X]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[X]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[X]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
Comment 2 Anderson Silva 2012-08-01 16:10:51 EDT
It is for EPEL and Fedora. Note that I am using a drupal template for the spec file that has been provided by the Fedora community themselves:

https://fedoraproject.org/wiki/Drupal_module_specfile_template
Comment 3 Troy Dawson 2012-08-24 18:53:46 EDT
Formal Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[X]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[X]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[X]: MUST Package contains no bundled libraries.
[X]: MUST Changelog in prescribed format.
[X]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[X]: MUST Development files must be in a -devel package
[X]: MUST Package requires other packages for directories it uses.
[X]: MUST Package uses nothing in %doc for runtime.
[X]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[X]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[X]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[X]: MUST Package is named according to the Package Naming Guidelines.
[X]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[X]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: MUST Package must own all directories that it creates.
[X]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[X]: MUST Package is not relocatable.
[X]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[X]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[X]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[X]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source2 (LICENSE.txt) Source0 (flag-6.x-1.3.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[X]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[X]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.

Rpmlint
-------
Checking: drupal6-flag-1.3-3.fc18.noarch.rpm
          drupal6-flag-1.3-3.fc18.src.rpm
drupal6-flag.noarch: W: spelling-error %description -l en_US customizable -> customization
drupal6-flag.src: W: spelling-error %description -l en_US customizable -> customization
2 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
drupal6-flag-1.3-3.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    drupal6

Provides
--------
drupal6-flag-1.3-3.fc18.noarch.rpm:
    
    drupal6-flag = 1.3-3.fc18

MD5-sum check
-------------
http://ftp.drupal.org/files/projects/flag-6.x-1.3.tar.gz :
  CHECKSUM(SHA256) this package     : 6d9dc1f41faa0f8bcc683de44b26b8b546ddfcb94b7aeb9c3b4889b6d38780b9
  CHECKSUM(SHA256) upstream package : 6d9dc1f41faa0f8bcc683de44b26b8b546ddfcb94b7aeb9c3b4889b6d38780b9


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/bin/fedora-review -b 829030
External plugins:

===========

I am confused about the LICENSE.
You have it provided as SOURCE2, but if I open up the upstream tarball, it already has it's own LICENSE.txt file.
Please use the Upstreams License file, or give a reason for not using it.
Comment 4 Anderson Silva 2012-08-28 09:17:09 EDT
the reason there is a different license is because the origianl LICENSE shipped from upstream contains the incorrect mailing address for the FSF which actually throws an error by rpmlint. I think the error is: E: incorrect-fsf-address.

I have already released several rpms with this kind of fix, I believe it was what I was told that needed to be done.
Comment 5 Troy Dawson 2012-08-28 09:29:58 EDT
That was the only problem I found, so I approve this request.

It would be a good idea to inform upstream of this license problem, if you haven't already.
Comment 6 Anderson Silva 2013-03-22 12:59:06 EDT
New Package SCM Request
=======================
Package Name: drupal6-flag
Short Description:  Flag is a flexible flagging system that is completely customizable by the administrator
Owners: afsilva siwinski
Branches: f17 f18 f19 el6
InitialCC:
Comment 7 Jon Ciesla 2013-03-22 13:25:51 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-03-22 16:36:42 EDT
drupal6-flag-1.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-flag-1.3-3.fc17
Comment 9 Fedora Update System 2013-03-22 16:37:49 EDT
drupal6-flag-1.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-flag-1.3-3.fc18
Comment 10 Shawn Iwinski 2013-03-23 00:52:06 EDT
Package Change Request
======================
Package Name: drupal6-flag
New Branches: el5
Owners: ansilva siwinski
InitialCC: 

Adding el5 branch to follow most other drupal6 packages.
Comment 11 Jon Ciesla 2013-03-23 09:11:34 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-03-23 10:27:30 EDT
drupal6-flag-1.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-flag-1.3-3.el6
Comment 13 Fedora Update System 2013-03-23 14:17:40 EDT
drupal6-flag-1.3-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2013-04-01 18:27:42 EDT
drupal6-flag-1.3-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-04-01 18:30:00 EDT
drupal6-flag-1.3-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2015-01-02 17:33:57 EST
drupal6-flag-2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-flag-2.1-3.el5
Comment 17 Fedora Update System 2015-01-02 17:34:06 EST
drupal6-flag-2.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-flag-2.1-3.el6

Note You need to log in before you can comment on or make changes to this bug.